Firefox Fixes Borked Extensions for Everyone but Legacy Users

By Victoria Song on at

If your Firefox add-ons were borked over the weekend, you’re not alone. Late on Friday, many Firefox users found that many extensions were suddenly useless or impossible to install after Mozilla pushed out an update to version 66.0.4 of its browser. Effectively, it left many users having to figure out their own workarounds to use their ad blockers, password managers, and many other types of extensions.

But after furiously scrambling for a few days, Mozilla has some good news and bad news. The good: It released a fix that’s restored extensions for the majority of users on Firefox 66. As of this writing, Mozilla has said it’s been rolled out for both desktop and Android, as well as ESR users on version 60.6.2. It also tweeted that the fix will be automatically applied and that users don’t actually have to do anything.

So now for the bad news: Legacy users on older versions of the browser are still out in the cold.

Why not just update to the latest version? Well, there are actually a lot of reasons why users might not want to update. That includes everything from using an add-on that’s no longer been updated/supported, or because they’re using older computers that don’t have the juice to support newer browsers. And ticked-off users are taking to Twitter to let Mozilla know how they really feel about the whole thing. It doesn’t help that in its blog, Mozilla discouraged workarounds discussed in community forums as “they may conflict with fixes [it] is deploying.” Gizmodo has reached out to Mozilla to see if it plans on addressing these concerns but did not immediately receive a response.

According to Mozilla, the whole mess is a result of an expired certificate for signing new extensions and is unrelated to a recent add-on policy update. The policy update is more about eliminating security risks for future add-ons by no longer accepting extensions with “obfuscated code.” The policy changes also state that Mozilla will be more proactive about blocking extensions. Those policy changes go into effect on 10 June. [Engadget]

Featured image: AP Images